# Uses of Class
ch.qos.logback.core.util.IncompatibleClassException

Packages that use IncompatibleClassException
Package
Description
ch.qos.logback.core.util
Contains various utility classes.

## Uses of IncompatibleClassException in ch.qos.logback.core.util

Methods in ch.qos.logback.core.util that throw IncompatibleClassException
Modifier and Type
Method
Description
`static Object`
OptionHelper.`instantiateByClassName(String className, Class<?> superClass, Context context)`
`static Object`
OptionHelper.`instantiateByClassName(String className, Class<?> superClass, ClassLoader classLoader)`
`static Object`
OptionHelper.`instantiateByClassNameAndParameter(String className, Class<?> superClass, Context context, Class<?> type, Object param)`
`static Object`
OptionHelper.`instantiateByClassNameAndParameter(String className, Class<?> superClass, ClassLoader classLoader, Class<?> type, Object parameter)`